dcsimg
RealTime IT News

Mozilla pushing Firefox 3 users to move to Firefox 3.5

sr-firefox3.jpg
From the 'you should have updated weeks ago, slacker!' files:

Mozilla is now formally encouraging its Firefox 3.0.x users, to migrate to Firefox 3.5 by way of an update notification. I personally upgraded when Firefox 3.5 came out 6 weeks ago, but there are always lots of people that for whatever reason, don't upgrade right away.

One very good reason not to update right away is the fact that there are always some incremental updates after an initial release. In the case of Firefox 3.5, Mozilla has actually issued two updates and is now at version 3.5.2.

Another reason why some choose not to update is because their favorite extension/add-on doesn't work right away. In my own personal case, I use the Sage RSS add-on and it wasn't officially available for Firefox 3.5, 6 weeks ago. But that didn't stop me from using it.

The trick for me in the case of the incompatible Sage add-on (which now has actually been updated to be compatible) was to change one line of code in the description of the add-on which sets the max version for the add-on.

Firefox 3.0.x is still going to be supported until the end of the year, it's not a major rush, but upgrading is the right thing to do in my opinion. Firefox 3.5 is a superior browser to Firefox 3.0.x in many ways. There are always add-ons that lag behind, but that's not Mozilla's fault, though they do have a solution for the problem.

With the new Jetpack add-on technology, add-on incompatibility from version to version will likely cease to be a problem.

Comment and Contribute
×
We have made updates to our Privacy Policy to reflect the implementation of the General Data Protection Regulation.